#38 libvncserver not accepting link local addresses

closed-fixed
None
5
2014-07-13
2012-07-13
Oliver
No

Hello,

I'm just adding IPv6 support to VirtualBox and when trying to bind to a link local IPv6 address (the fe80:: ones), I can see this error:

[X] orgasmatron: today root$ VBoxHeadless -s vmvboxdevel --vrde config
Oracle VM VirtualBox Headless Interface 4.1.51_OSE
(C) 2008-2012 Oracle Corporation
All rights reserved.

IPv4: Address: (null), Port: 5999
IPv6: Address: fe80::5604:a6ff:fef1:73c6, Port: 5903
13/07/2012 19:31:56 Listening for VNC connections on TCP port 5999
13/07/2012 19:31:56 rfbListenOnTCP6Port: error in bind IPv6 socket: Invalid argument
VRDE server is listening on port 5999.
^C
[X] orgasmatron: today root$

When changing the address to a global one:

[X] orgasmatron: today root$ VBoxHeadless -s vmvboxdevel --vrde config
Oracle VM VirtualBox Headless Interface 4.1.51_OSE
(C) 2008-2012 Oracle Corporation
All rights reserved.

IPv4: Address: (null), Port: 5999
IPv6: Address: 2001:db8::dead:beef, Port: 5903
13/07/2012 19:36:05 Listening for VNC connections on TCP port 5999
13/07/2012 19:36:05 Listening for VNC connections on TCP6 port 5903
VRDE server is listening on port 5999.
^C
[X] orgasmatron: today root$

It's working. Bug or Feature?

KR,

Oliver

Discussion

    • assigned_to: nobody --> bk138
    • status: open --> closed-fixed